PipeWire 1.4.8

Loading...
Searching...
No Matches
spa_plugin_loader_methods Struct Reference
SPA » Support » Plugin Loader

`#include <spa/support/plugin-loader.h>`

## Data Fields
uint32_t | version
struct spa_handle *(* | load )(void *object, const char *factory_name, const struct spa_dict *info)
| Load a SPA plugin.
int(* | unload )(void *object, struct spa_handle *handle)
| Unload a SPA plugin.

## Field Documentation

## ◆ version

uint32_t spa_plugin_loader_methods::version

## ◆ load

struct spa_handle *(* spa_plugin_loader_methods::load) (void *object, const char *factory_name, const struct spa_dict *info)

Load a SPA plugin.

Parameters

  factory_name | Plugin factory name
  info | Info dictionary for plugin. NULL if none.

Returns
  plugin handle, or NULL on error

## ◆ unload

int(* spa_plugin_loader_methods::unload) (void *object, struct spa_handle *handle)

Unload a SPA plugin.

Parameters

  handle | Plugin handle.

Returns
  0 on success, < 0 on error

The documentation for this struct was generated from the following file:

- spa/support/plugin-loader.h